### Struct

# EDataServer WebDAVAccessControlEntry

#### Description

    struct EWebDAVAccessControlEntry {
      EWebDAVACEPrincipalKind principal_kind;
      gchar* principal_href;
      guint32 flags;
      gchar* inherited_href;
      gpointer privileges;
    }

No description available.

###### Structure members

`principal_kind:` `EWebDAVACEPrincipalKind`

  No description available.

`principal_href:` `gchar*`

  No description available.

`flags:` `guint32`

  No description available.

`inherited_href:` `gchar*`

  No description available.

`privileges:` `gpointer`

  No description available.

#### Constructors

###### e_webdav_access_control_entry_new

Describes one Access Control Entry (ACE).

since: 3.26

#### Functions

###### e_webdav_access_control_entry_free

Frees an `EWebDAVAccessControlEntry` previously created with `e_webdav_access_control_entry_new()` or e_webdav_access_control_entry_copy(). The function does nothing, if `ptr` is `NULL`.

since: 3.26

#### Instance methods

###### e_webdav_access_control_entry_append_privilege

Appends a new `privilege` to the list of privileges for the `ace`. The function assumes ownership of the `privilege`, which is freed together with the `ace`.

since: 3.26

###### e_webdav_access_control_entry_copy

No description available.

since: 3.26

###### e_webdav_access_control_entry_get_privileges

No description available.

since: 3.26